deviceManagementPartner の更新

名前空間: microsoft.graph

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

deviceManagementPartner オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementServiceConfig.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementServiceConfig.ReadWrite.All

HTTP 要求

PATCH /deviceManagement/deviceManagementPartners/{deviceManagementPartnerId}

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、deviceManagementPartner オブジェクトの JSON 表記を指定します。

次の表に、deviceManagementPartner の作成時に必要なプロパティを示します。

プロパティ 説明
id String エンティティの ID
lastHeartbeatDateTime DateTimeOffset 管理者が [デバイス管理パートナーに接続] オプションを有効にした後の最終ハートビートのタイムスタンプ
partnerState deviceManagementPartnerTenantState このテナントのパートナー状態。 使用可能な値: unknownunavailableenabledterminatedrejectedunresponsive
partnerAppType deviceManagementPartnerAppType パートナー アプリの種類。 可能な値は unknownsingleTenantAppmultiTenantApp です。
singleTenantAppId String パートナーのシングル テナントのアプリ ID
displayName 文字列 パートナー表示名
isConfigured ブール型 (Boolean) デバイス管理パートナーが構成されているかどうかを指定します
whenPartnerDevicesWillBeRemovedDateTime DateTimeOffset パートナー デバイスが削除されるときの日時 (UTC)
whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime DateTimeOffset パートナー デバイスが準拠していないとマークされる日時 (UTC)

応答

成功した場合、このメソッドは 200 OK 応答コードと、更新された deviceManagementPartner オブジェクトを応答本文で返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/v1.0/deviceManagement/deviceManagementPartners/{deviceManagementPartnerId}
Content-type: application/json
Content-length: 502

{
  "@odata.type": "#microsoft.graph.deviceManagementPartner",
  "lastHeartbeatDateTime": "2016-12-31T23:59:37.9174975-08:00",
  "partnerState": "unavailable",
  "partnerAppType": "singleTenantApp",
  "singleTenantAppId": "Single Tenant App Id value",
  "displayName": "Display Name value",
  "isConfigured": true,
  "whenPartnerDevicesWillBeRemovedDateTime": "2016-12-31T23:56:38.2655023-08:00",
  "whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime": "2016-12-31T23:58:42.2131231-08:00"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 551

{
  "@odata.type": "#microsoft.graph.deviceManagementPartner",
  "id": "d21e377a-377a-d21e-7a37-1ed27a371ed2",
  "lastHeartbeatDateTime": "2016-12-31T23:59:37.9174975-08:00",
  "partnerState": "unavailable",
  "partnerAppType": "singleTenantApp",
  "singleTenantAppId": "Single Tenant App Id value",
  "displayName": "Display Name value",
  "isConfigured": true,
  "whenPartnerDevicesWillBeRemovedDateTime": "2016-12-31T23:56:38.2655023-08:00",
  "whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime": "2016-12-31T23:58:42.2131231-08:00"
}